window.testSuites.push( class testGroup {

    BasicDivs() {
        let divs = Group(() => {
            div()
            div()
            div()
        })
        
        if(!(divs instanceof HTMLElement)) {
            return `Did not receive an element!`
        }
        if(!(divs.children.length === 3)) {
            return `Incorrect amount of children!`
        }
    }

    VStack() {
        let divs = Group(() => {
            VStack(() => {
                div()
                div()
                div()
            })
        })
        
        if(!(divs instanceof HTMLElement)) {
            return `Did not receive an element!`
        }
        if(!(divs.style.display === "flex")) {
            return `Did not receive a flex container!`
        }
        if(!(divs.children.length === 3)) {
            return `Incorrect amount of children!`
        }
    }

})